class = require 'middleclass'

local Star=class('Star')

function Star:initialize(r2,r1,speed,color,father)
  self.r1 = r1 --orbit radius
  self.r2 = r2 --sphere radius
  self.speed = speed
  self.color = color
  self.x =400
  self.y =300
  self.angle = 0
  self.father = father
end

function Star:update(dt)
  if self.father then
    self.angle = self.angle + self.speed * dt
    self.x = self.r1 * math.cos(self.angle) + self.father.x
    self.y = self.r1 * math.sin(self.angle) + self.father.y
  end
end

function Star:draw()
  if self.father then
    --draw orbit
    love.graphics.setColor(50, 50, 100)
    love.graphics.circle( "line", self.father.x, self.father.y, self.r1 )
  end
  --draw star
  love.graphics.setColor(self.color)
  love.graphics.circle( "fill", self.x, self.y, self.r2, 100 )
end

return Star
